commit 219d19c41071ef9698f6232c27a8b877a105bd2b
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Oct 28 23:19:18 2020 +0100

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/ctools/bulk_export/bulk_export.info b/drupal7/sites/all/modules/ctools/bulk_export/bulk_export.info
index 9bb33944..7ea99608 100644
--- a/drupal7/sites/all/modules/ctools/bulk_export/bulk_export.info
+++ b/drupal7/sites/all/modules/ctools/bulk_export/bulk_export.info
@@ -4,8 +4,8 @@ core = 7.x
 dependencies[] = ctools
 package = Chaos tool suite
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/ctools.api.php b/drupal7/sites/all/modules/ctools/ctools.api.php
index 4481291a..0948e879 100644
--- a/drupal7/sites/all/modules/ctools/ctools.api.php
+++ b/drupal7/sites/all/modules/ctools/ctools.api.php
@@ -30,6 +30,8 @@ function hook_ctools_plugin_type() {
 }
 
 /**
+ * Tells CTools where to find module-defined plugins.
+ *
  * This hook is used to inform the CTools plugin system about the location of a
  * directory that should be searched for files containing plugins of a
  * particular type. CTools invokes this same hook for all plugins, using the
@@ -104,12 +106,12 @@ function hook_ctools_plugin_directory($owner, $plugin_type) {
  * This hook is useful for altering flags or other information that will be
  * used or possibly overriden by the process hook if defined.
  *
- * @param $plugin
+ * @param array $plugin
  *   An associative array defining a plugin.
- * @param $info
+ * @param array $info
  *   An associative array of plugin type info.
  */
-function hook_ctools_plugin_pre_alter(&$plugin, &$info) {
+function hook_ctools_plugin_pre_alter(array &$plugin, array &$info) {
   // Override a function defined by the plugin.
   if ($info['type'] == 'my_type') {
     $plugin['my_flag'] = 'new_value';
@@ -122,12 +124,12 @@ function hook_ctools_plugin_pre_alter(&$plugin, &$info) {
  * This hook is useful for overriding the final values for a plugin after it
  * has been processed.
  *
- * @param $plugin
+ * @param array $plugin
  *   An associative array defining a plugin.
- * @param $info
+ * @param array $info
  *   An associative array of plugin type info.
  */
-function hook_ctools_plugin_post_alter(&$plugin, &$info) {
+function hook_ctools_plugin_post_alter(array &$plugin, array &$info) {
   // Override a function defined by the plugin.
   if ($info['type'] == 'my_type') {
     $plugin['my_function'] = 'new_function';
@@ -144,7 +146,7 @@ function hook_ctools_plugin_post_alter(&$plugin, &$info) {
  *   An array of informations about the implementors of a certain api.
  *   The key of this array are the module names/theme names.
  */
-function hook_ctools_api_hook_alter(&$list) {
+function hook_ctools_api_hook_alter(array &$list) {
   // Alter the path of the node implementation.
   $list['node']['path'] = drupal_get_path('module', 'node');
 }
@@ -152,30 +154,55 @@ function hook_ctools_api_hook_alter(&$list) {
 /**
  * Alter the available functions to be used in ctools math expression api.
  *
- * One usecase would be to create your own function in your module and
+ * One use case would be to create your own function in your module and
  * allow to use it in the math expression api.
  *
- * @param $functions
+ * @param array $functions
  *   An array which has the functions as value.
+ * @param array $context
+ *   An array containing an item 'final' whose value is a reference to the
+ *   definitions for multiple-arg functions. Use this to add in functions that
+ *   require more than one arg.
  */
-function hook_ctools_math_expression_functions_alter(&$functions) {
-  // Allow to convert from degrees to radiant.
+function hook_ctools_math_expression_functions_alter(array &$functions, array $context) {
+  // Allow to convert from degrees to radians.
   $functions[] = 'deg2rad';
+
+  $multiarg = $context['final'];
+  $multiarg['pow'] = array(
+    'function' => 'pow',
+    'arguments' => 2,
+  );
+}
+
+/**
+ * Alter the available functions to be used in ctools math expression api.
+ *
+ * One usecase would be to create your own function in your module and
+ * allow to use it in the math expression api.
+ *
+ * @param array $constants
+ *   An array of name:value pairs, one for each named constant. Values added
+ *   to this array become read-only variables with the value assigned here.
+ */
+function hook_ctools_math_expression_constants_alter(array &$constants) {
+  // Add the speed of light as constant 'c':
+  $constants['c'] = 299792458;
 }
 
 /**
  * Alter everything.
  *
- * @param $info
+ * @param array $info
  *   An associative array containing the following keys:
  *   - content: The rendered content.
  *   - title: The content's title.
  *   - no_blocks: A boolean to decide if blocks should be displayed.
- * @param $page
+ * @param bool $page
  *   If TRUE then this renderer owns the page and can use theme('page')
  *   for no blocks; if false, output is returned regardless of any no
  *   blocks settings.
- * @param $context
+ * @param array $context
  *   An associative array containing the following keys:
  *   - args: The raw arguments behind the contexts.
  *   - contexts: The context objects in use.
@@ -183,7 +210,7 @@ function hook_ctools_math_expression_functions_alter(&$functions) {
  *   - subtask: The subtask object in use.
  *   - handler: The handler object in use.
  */
-function hook_ctools_render_alter(&$info, &$page, &$context) {
+function hook_ctools_render_alter(array &$info, &$page, array &$context) {
   if ($context['handler']->name == 'my_handler') {
     ctools_add_css('my_module.theme', 'my_module');
   }
@@ -219,7 +246,7 @@ function hook_ctools_content_subtype_alter($subtype, $plugin) {
  * @param string $plugin_id
  *   The plugin ID, in the format NAME:KEY.
  */
-function hook_ctools_entity_context_alter(&$plugin, &$entity, $plugin_id) {
+function hook_ctools_entity_context_alter(array &$plugin, array &$entity, $plugin_id) {
   ctools_include('context');
   switch ($plugin_id) {
     case 'entity_id:taxonomy_term':
@@ -242,13 +269,13 @@ function hook_ctools_entity_context_alter(&$plugin, &$entity, $plugin_id) {
  *   A string associated with the plugin type, identifying the operation.
  * @param string $value
  *   The value being converted; this is the only return from the function.
- * @param $converter_options
+ * @param array $converter_options
  *   Array of key-value pairs to pass to a converter function from higher
  *   levels.
  *
  * @see ctools_context_convert_context()
  */
-function hook_ctools_context_converter_alter($context, $converter, &$value, $converter_options) {
+function hook_ctools_context_converter_alter(ctools_context $context, $converter, &$value, array $converter_options) {
   if ($converter === 'mystring') {
     $value = 'fixed';
   }
@@ -262,7 +289,7 @@ function hook_ctools_context_converter_alter($context, $converter, &$value, $con
  *
  * @see hook_ctools_entity_context_alter()
  */
-function hook_ctools_entity_contexts_alter(&$plugins) {
+function hook_ctools_entity_contexts_alter(array &$plugins) {
   $plugins['entity_id:taxonomy_term']['no ui'] = TRUE;
 }
 
@@ -274,7 +301,7 @@ function hook_ctools_entity_contexts_alter(&$plugins) {
  *
  * @see ctools_cleanstring()
  */
-function hook_ctools_cleanstring_alter(&$settings) {
+function hook_ctools_cleanstring_alter(array &$settings) {
   // Convert all strings to lower case.
   $settings['lower case'] = TRUE;
 }
@@ -287,7 +314,7 @@ function hook_ctools_cleanstring_alter(&$settings) {
  *
  * @see ctools_cleanstring()
  */
-function hook_ctools_cleanstring_CLEAN_ID_alter(&$settings) {
+function hook_ctools_cleanstring_CLEAN_ID_alter(array &$settings) {
   // Convert all strings to lower case.
   $settings['lower case'] = TRUE;
 }
@@ -304,7 +331,7 @@ function hook_ctools_cleanstring_CLEAN_ID_alter(&$settings) {
  *
  * @see ctools_context_handler_pre_render()
  */
-function ctools_context_handler_pre_render($handler, $contexts, $args) {
+function ctools_context_handler_pre_render($handler, array $contexts, array $args) {
   $handler->conf['css_id'] = 'my-id';
 }
 
diff --git a/drupal7/sites/all/modules/ctools/ctools.info b/drupal7/sites/all/modules/ctools/ctools.info
index 188b55dd..49850462 100644
--- a/drupal7/sites/all/modules/ctools/ctools.info
+++ b/drupal7/sites/all/modules/ctools/ctools.info
@@ -19,8 +19,8 @@ files[] = tests/object_cache.test
 files[] = tests/object_cache_unit.test
 files[] = tests/page_tokens.test
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/ctools.module b/drupal7/sites/all/modules/ctools/ctools.module
index 62f29192..2ec0ab73 100644
--- a/drupal7/sites/all/modules/ctools/ctools.module
+++ b/drupal7/sites/all/modules/ctools/ctools.module
@@ -479,7 +479,7 @@ function ctools_uuid_generate() {
   if (!module_exists('uuid')) {
     ctools_include('uuid');
 
-    $callback = drupal_static(__FUNCTION__);
+    $callback = &drupal_static(__FUNCTION__);
 
     if (empty($callback)) {
       if (function_exists('uuid_create') && !function_exists('uuid_make')) {
@@ -903,13 +903,14 @@ function ctools_process(&$variables, $hook) {
  */
 
 function ctools_access_menu($access) {
+  $func_args = func_get_args();
   // Short circuit everything if there are no access tests.
   if (empty($access['plugins'])) {
     return TRUE;
   }
 
   $contexts = array();
-  foreach (func_get_args() as $arg) {
+  foreach ($func_args as $arg) {
     if (is_object($arg) && get_class($arg) == 'ctools_context') {
       $contexts[$arg->id] = $arg;
     }
diff --git a/drupal7/sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.info b/drupal7/sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.info
index 3fc35564..076bad0c 100644
--- a/drupal7/sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.info
+++ b/drupal7/sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Chaos tool suite
 dependencies[] = ctools
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.info b/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.info
index c2a52df4..f52d44ef 100644
--- a/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.info
+++ b/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.info
@@ -4,8 +4,8 @@ package = Chaos tool suite
 dependencies[] = ctools
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module b/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module
index 7cb1ff1c..c022fdb6 100644
--- a/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module
+++ b/drupal7/sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module
@@ -187,7 +187,7 @@ function ctools_ajax_sample_page() {
     );
   }
 
-  $output .= theme('table', array('header' => $header, 'rows' => $rows, array('class' => array('ajax-sample-table'))));
+  $output .= theme('table', array('header' => $header, 'rows' => $rows, 'attributes' => array('class' => array('ajax-sample-table'))));
 
   // Show examples of ctools javascript widgets.
   $output .= '<h2>' . t('CTools Javascript Widgets') . '</h2>';
diff --git a/drupal7/sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.info b/drupal7/sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.info
index 2bc73489..6340319b 100644
--- a/drupal7/sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.info
+++ b/drupal7/sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Chaos tool suite
 dependencies[] = ctools
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
diff --git a/drupal7/sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.info b/drupal7/sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.info
index 3f268dbc..c2f41b33 100644
--- a/drupal7/sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.info
+++ b/drupal7/sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.info
@@ -7,8 +7,8 @@ dependencies[] = page_manager
 dependencies[] = advanced_help
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2019-02-08
-version = "7.x-1.15"
+; Information added by Drupal.org packaging script on 2020-10-23
+version = "7.x-1.17"
 core = "7.x"
 project = "ctools"
-datestamp = "1549603691"
+datestamp = "1603490551"
